/**
 * 書籍のドメインクラス.
 */
class Book implements Serializable {

    /**
     * 出版社.
     */
    static belongsTo = [ publisher : Publisher ]

    /**
     * タイトル.
     */
    String title

    /**
     * 著者.
     */
    String author

    /**
     * 価格.
     */
    int price

    /**
     * 発行年月日.
     */
    Date releaseDate

    /**
     * ISBN.
     */
    String isbn13

    /**
     * イメージ.
     */
    String imageUrl
    
    static constraints = {
    	title(blank : false)
    	author(blank : false)
    	price(minSize : 0)
    	releaseDate()
    	isbn13(matches : "\\p{Digit}{13}")
    	imageUrl(nullable : true)
    }
    
}
