/**
 * 客のドメインクラス.
 */
class Customer implements Serializable {

    static belongsTo = [ order : Order ]

    /**
     * 名前.
     */
    String name

    /**
     * 住所.
     */
    String address

    /**
     * 電話番号.
     */
    String phoneNumber

    /**
     * メールアドレス.
     */
    String email

    /**
     * TODO:
     * 支払方法.
     */
    String paymentMethod

    static constraints = {
    	name(blank:false)
    	address(blank:false)
    	phoneNumber(blank:false)
    	email(blank:false, email:true)
    	paymentMethod()
    }

    String toString() {
        name
    }
}
