/**
 * 注文のドメインクラス.
 */
class Order implements Serializable {

    /**
     * 客.
     */
    Customer customer

    /**
     * 注文明細.
     */
    static hasMany = [ orderDetails : OrderDetail ]

    /**
     * 注文日.
     */
    Date date
    
    static constraints = {
        customer()
        date()
    }
    
    static mapping = {
        table '`order`'
    }

    /**
     * 合計価格を取得する.
     * 
     * @return 合計価格
     */
    def getTotalPrice() {
        return orderDetails ? orderDetails.sum { it.getPrice() } : 0
    }
}
