class PublisherTests extends GroovyTestCase {

    void testValidation() {
        def publisher = new Publisher()
        
        publisher.name = null
        assertFalse publisher.validate()
        
        publisher.name = ''
        assertFalse publisher.validate()

        publisher.name = '翔泳社'
        assertTrue publisher.validate()
    }
    
    void testPersistence() {
        assertEquals 0, Publisher.count()
        assertEquals 0, Book.count()
        
        def publisher = new Publisher(name:'Test Publisher')
        def book = new Book(title:'Test Title',
                            author:'Test Author',
                            price:3000,
                            releaseDate:new Date(),
                            isbn13:'1234567890123')
        publisher.addToBooks(book).save()

        assertEquals 1, Publisher.count()
        assertEquals 1, Book.count()

        publisher.delete()

        assertEquals 0, Publisher.count()
        assertEquals 0, Book.count()
    }
}
